summaryrefslogtreecommitdiff
path: root/build-aux/meson_post_install.sh
diff options
context:
space:
mode:
authorzhuyaliang <[email protected]>2023-10-26 20:56:27 +0800
committerraveit65 <[email protected]>2023-11-30 20:17:06 +0100
commit7f45b836192f42d246fe9709205244e675adea0a (patch)
tree6ea428dac42f4b87a0687f0593aeacb7761faa2e /build-aux/meson_post_install.sh
parentf4a3f423d378c2c4b16a22fa7382e7a94932dd57 (diff)
downloadmate-media-7f45b836192f42d246fe9709205244e675adea0a.tar.bz2
mate-media-7f45b836192f42d246fe9709205244e675adea0a.tar.xz
add meson build support
Diffstat (limited to 'build-aux/meson_post_install.sh')
-rwxr-xr-xbuild-aux/meson_post_install.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/build-aux/meson_post_install.sh b/build-aux/meson_post_install.sh
new file mode 100755
index 0000000..c523b15
--- /dev/null
+++ b/build-aux/meson_post_install.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+if [ -z $MESON_INSTALL_PREFIX ]; then
+ echo 'This is meant to be ran from Meson only!'
+ exit 1
+fi
+
+if [ -z $DESTDIR ]; then
+ echo 'Compiling GSchema'
+ glib-compile-schemas "$MESON_INSTALL_PREFIX/share/glib-2.0/schemas"
+ echo 'Updating icon cache'
+ gtk-update-icon-cache -qtf "$MESON_INSTALL_PREFIX/share/icons/hicolor"
+ echo 'Updating desktop database'
+ update-desktop-database -q "$MESON_INSTALL_PREFIX/share/applications"
+fi